Search bar icon/button slightly lower when html5 mode is enabled
OpenPublic

Description

Example of the search boxes

See attachment.

mediawiki wiki has html5 mode enabled where as en wiki doesn't.


Version: 1.22.0
Severity: trivial

Attached:

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz30525.
Peachey88 created this task.Via LegacyAug 23 2011, 5:11 AM
bzimport added a comment.Via ConduitAug 23 2011, 7:03 PM

ayg wrote:

This is because of standards vs. almost standards mode, triggered by the doctype difference. It's why we need to switch to HTML5 across the board and tweak everything to work right in standards mode, then kill XHTML 1.0 Transitional support. Supporting both modes will be too much of a hassle. There will be a number of minor rendering differences like this, but nothing should be a big deal and they can be dealt with as they're reported during the transition phase, IMO.

Peachey88 added a comment.Via ConduitNov 16 2011, 9:26 AM
  • Bug 32025 has been marked as a duplicate of this bug. ***
Krinkle added a comment.Via ConduitMay 5 2012, 5:16 PM

(mass change)

  • 1.18.0 and 1.19.0 have been released already.
  • Moving open bugs targeted for 1.18.0 or 1.19.0 to Mysterious future.
  • Please re-target them to 1.19.x or 1.20.0 if needed.
TheDJ added a comment.Via ConduitSep 19 2012, 9:35 PM

I think i might have found the possible root cause of why it differs in the two modes.

Apparently in HTML5: "an inline element, that appears in HTML5 inline elements defer to its parent 'block' element's line-height"

bzimport added a comment.Via ConduitSep 20 2012, 11:12 AM

ayg wrote:

I think this is the relevant spec text:

http://dvcs.w3.org/hg/quirks-mode/raw-file/tip/Overview.html#the-line-height-calculation-quirk

(FWIW, this is not due to HTML5 per se -- using an HTML 4.01 Strict doctype would also have triggered it, for instance.)

bzimport added a comment.Via ConduitApr 2 2013, 9:17 PM

Jason_quinn wrote:

shows the problem under Firefox 19.0.2 on a Linux system, alongside with 3 other working browsers

Attached:

Martijn_Hoekstra added a comment.Via ConduitNov 18 2014, 12:23 PM

Is this fixed? It looks fixed for me.

Krinkle removed a project: Future-Release.Via WebNov 25 2014, 9:13 PM

Add Comment